Subject: bug#20350: closed (Re: [PATCH v2] replace the letter "Ь" with "ѝ" in the Bulgarian input methods)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Apr 2015 08:06:02 +0000

Your bug report

#20350: [PATCH] replace the letter "Ь" with "ѝ" in the phonetic bulgarian input methods

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20350: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20350
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2] replace the letter "Ь" with"ѝ" in the Bulgarian input methods
From: Eli Zaretskii <[email-masked]>
To: Ivan Radanov Ivanov <[email-masked]>
Cc: [email-masked]
Date: Sat, 18 Apr 2015 11:05:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 17 Apr 2015 13:45:57 +0300
> From: Ivan Radanov Ivanov <[email-masked]>
> CC: [email-masked]
> 
> There is no valid usage of the capital letter "Ь" in the modern
> Bulgarian language, replace it with "ѝ" in the bulgarian-bds and
> bulgarian-phonetic keyboard layouts.
> ---
> > Please move 'Ь' to some other key, we don't want to lose it (and
> > Bulgarian is not the only language that uses cyrillic.el, anyway).
> I have edited only the Bulgarian keyboard layouts, other languages
> should not be affected.

Ah, I didn't understand that from your first submission.  If you'd
included a ChangeLog entry (hint, hint!), it would have been easier
for me to understand that.

> This is a second version of the patch since I had forgotten to
> change the layouts in the comments in the first one.

Thanks, pushed with the appropriate log message.

Subject: [PATCH] replace the letter "Ь" with "ѝ" in the phonetic bulgarian input methods
From: Ivan Radanov Ivanov <[email-masked]>
To: [email-masked]
Cc: Ivan Radanov Ivanov <[email-masked]>
Date: Thu, 16 Apr 2015 22:29:29 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

There is no valid usage of the capital letter "Ь" in the modern
Bulgarian language, replace it with "ѝ" as other keyboard layouts do.
---
 lisp/leim/quail/cyrillic.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/leim/quail/cyrillic.el b/lisp/leim/quail/cyrillic.el
index a2983a3..c25a9c6 100644
--- a/lisp/leim/quail/cyrillic.el
+++ b/lisp/leim/quail/cyrillic.el
@@ -1364,7 +1364,7 @@ The letters Ч, Ш, Щ and Ю are not affected by Caps Lock."
  ("{" ?Ш)
  ("}" ?Щ)
  ("Y" ?Ъ)
- ("X" ?Ь)
+ ("X" ?ѝ)
  ("|" ?Ю)
  ("Q" ?Я)
  ("a" ?а)
@@ -1448,7 +1448,7 @@ keys as being transformed into ( and ) respectively.  For ( and ), use
  ("[" ?ц) ("{" ?Ц)
  ("]" ?\;) ("}" ?§)
 
- ("a" ?ь) ("A" ?Ь)
+ ("a" ?ь) ("A" ?ѝ)
  ("s" ?я) ("S" ?Я)
  ("d" ?а) ("D" ?А)
  ("f" ?о) ("F" ?О)
-- 
2.1.4